[Fusionforge-commits] r14797 - trunk/tests/openvz

Alain Peyrat aljeux at fusionforge.org
Mon Nov 14 10:21:13 CET 2011


Author: aljeux
Date: 2011-11-14 10:21:12 +0100 (Mon, 14 Nov 2011)
New Revision: 14797

Modified:
   trunk/tests/openvz/start
   trunk/tests/openvz/stop
Log:
Initial code for start/stop script for openvz

Modified: trunk/tests/openvz/start
===================================================================
--- trunk/tests/openvz/start	2011-11-13 18:44:56 UTC (rev 14796)
+++ trunk/tests/openvz/start	2011-11-14 09:21:12 UTC (rev 14797)
@@ -2,3 +2,14 @@
 echo "==== START $HOST ===="
 echo "VMENGINE=$VMENGINE VMTEMPLATE=$VMTEMPLATE CIDR=$CIDR IPGW=$IPGW"
 
+sudo /root/start_vz.sh $VMTEMPLATE $HOST
+
+ssh -o 'StrictHostKeyChecking=no' root@$HOST uname -a
+ret=$?
+
+if [ $ret -ne 0 ];then
+	sleep 10;
+	ssh -o 'StrictHostKeyChecking=no' root@$HOST uname -a
+fi
+
+sleep 1

Modified: trunk/tests/openvz/stop
===================================================================
--- trunk/tests/openvz/stop	2011-11-13 18:44:56 UTC (rev 14796)
+++ trunk/tests/openvz/stop	2011-11-14 09:21:12 UTC (rev 14797)
@@ -1,3 +1,5 @@
 #! /bin/sh
 echo "==== STOP $HOST ===="
 echo "VMENGINE=$VMENGINE VMTEMPLATE=$VMTEMPLATE CIDR=$CIDR IPGW=$IPGW"
+
+sudo /root/stop_vz.sh $HOST




More information about the Fusionforge-commits mailing list